<%@ page contentType="text/html;charset=gb2312" import="javax.servlet.jsp.JspWriter" %>
<html>
<head></head>
<body>
<%
		String Email = request.getParameter("E");
		String TGuid = request.getParameter("T");
		String Url = request.getParameter("U");
		String RedUrl= "";
		String tracehost="t1.wdmail.net";

		JspWriter mout=pageContext.getOut();

		try{
			if((Url==null) || (Url.trim().length() == 0)){
					Url = request.getParameter("amp;U");
			}
			if( (TGuid==null) || (TGuid.trim().length() == 0)){
					TGuid = request.getParameter("amp;T");
			}
			
			if(Email==null)	Email = "";
			if(TGuid==null)	TGuid = "";
			if(Url==null)	Url = "";

			if((Url==null) || (Url.trim().length() == 0))
			{
				RedUrl="http://" + tracehost + "/read.php?E=";
				RedUrl =  RedUrl + Email;
				RedUrl =  RedUrl + "&T="  + TGuid;	
				
				response.setStatus(HttpServletResponse.SC_MOVED_PERMANENTLY);
				response.setHeader("Location",RedUrl);
			}
			else {
				RedUrl="http://" + tracehost + "/url.php?E=";
				RedUrl =  RedUrl + Email;
				RedUrl =  RedUrl + "&T="  + TGuid + "&U=" + Url;
					
				response.setStatus(HttpServletResponse.SC_MOVED_PERMANENTLY);
				response.setHeader("Location",RedUrl);
			}
		}catch(Exception e){
			mout.println("¼ÓÔØ´íÎó£º" + e.getMessage());
		}
%>
</body>
</html>